vim.o.termguicolors = true

vim.g.sonokai_transparent_background = true

vim.api.nvim_create_autocmd('ColorScheme', {
  pattern = 'sonokai',
  callback = function()
    vim.api.nvim_set_hl(0, 'MiniIndentscopeSymbol', { link = 'Whitespace' })

    local configuration = vim.fn['sonokai#get_configuration']()
    local palette = vim.fn['sonokai#get_palette'](configuration.style)

    vim.fn['sonokai#highlight']('MiniStatuslineModeNormal', palette.black, palette.blue)
    vim.fn['sonokai#highlight']('MiniStatuslineModeCommand', palette.black, palette.yellow)
    vim.fn['sonokai#highlight']('MiniStatuslineModeInsert', palette.black, palette.green)
    vim.fn['sonokai#highlight']('MiniStatuslineModeVisual', palette.black, palette.orange)
    vim.fn['sonokai#highlight']('MiniStatuslineModeReplace', palette.black, palette.red)
    vim.fn['sonokai#highlight']('MiniStatuslineModeOther', palette.black, palette.green)

    -- reset terminal colors to default
    for i = 0, 15 do
      vim.g['terminal_color_' .. i] = nil
    end
  end,
})

vim.cmd('colorscheme sonokai')
